Вы здесь

Профили поддерживают hook_requirements()

В версию Друпал 8.6.3 внесено изменение, которое позволяет запускать hook_requirements() при установке профиля.

При установке Друпала из профиля, требования для всех устанавливаемых модулей проверяются и если какой-либо модуль возвращает ошибку, то установка не может быть продолжена. Но, если hook_requirements() реализован в самом профиле, он не запускался при установке Друпала и запускался, когда требования проверялись в других ситуациях (например, при запуске update.php). Теперь это исправлено и hook_requirements() запускается всегда.